{
  "name": "book-manager",
  "version": "1.0.0",
  "description": "Book Manager application for Master Cloud Apps",
  "main": "index.js",
  "repository": "git@gitlab.com:master-cloud-apps/02_servicios_internet/02_01_tecnologias_servicios_internet/practica-02-book-manager-api-node.git",
  "author": "alberto.eyo@gmail.com",
  "license": "MIT",
  "private": false,
  "scripts": {
    "start": "node server.js",
    "start:dev": "nodemon server.js",
    "jest_test": "jest --runInBand --watch",
    "test": "mocha -u bdd --recursive",
    "coverage": "nyc npm t  && nyc report --report-dir=coverage --reporter=html --reporter=lcov",
    "sonar": "node_modules/sonar-scanner/bin/sonar-scanner",
    "sonarcloud": "node_modules/sonar-scanner/bin/sonar-scanner -Dsonar.host.url=https://sonarcloud.io -Dsonar.organization=apecr-github",
    "init-eslint": "eslint --init"
  },
  "devDependencies": {
    "chai": "4.2.0",
    "chai-as-promised": "^7.1.1",
    "eslint": "^7.15.0",
    "eslint-config-standard": "^16.0.2",
    "eslint-plugin-import": "^2.22.1",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-promise": "^4.2.1",
    "jest": "^26.6.3",
    "mocha": "^8.2.1",
    "mongodb-memory-server": "^6.9.2",
    "nodemon": "^2.0.6",
    "nyc": "13.1.0",
    "sonar-scanner": "^3.1.0",
    "supertest": "^6.0.1"
  },
  "dependencies": {
    "express": "^4.17.1",
    "mongoose": "^5.11.8"
  },
  "jest": {
    "testEnvironment": "node"
  }
}